## python-preshed 2.0.1

=== requirements.txt ===
cymem>=2.0.2,<2.1.0
cython>=0.28
pytest

=== debian/changelog ===
python-preshed (2.0.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:52 +0100

python-preshed (2.0.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:52:54 +0000

python-preshed (2.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #900945)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 08:46:28 +0100

=== debian/control ===
Source: python-preshed
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Mo Zhou <cdluminate@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-cymem,
               cython3
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-preshed
Vcs-Git: https://salsa.debian.org/python-team/modules/python-preshed.git
Homepage: https://github.com/explosion/preshed

Package: python3-preshed
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Cython Hash Table for Pre-Hashed Keys
 Simple but high performance Cython hash table mapping pre-randomized keys
 to void* values.

=== debian/watch ===
version=4

https://github.com/explosion/preshed/releases .*/archive/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-preshed 3.0.2

=== debian/changelog ===
python-preshed (3.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ lintian-brush ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typo in debian/copyright (Comments => Comment).

  [ Paul Wise ]
  * Wrap and sort debian/control fields
  * Document compliance with Debian Policy 4.5.0 (no changes needed)
  * New upstream release. (Closes: #967081)
    - Add new dependency python3-murmurhash
  * Hardcode Python module dependencies for now as pybuild doesn't detect them

 -- Paul Wise <pabs@debian.org>  Thu, 03 Sep 2020 12:17:52 +0800

=== debian/control ===
Source: python-preshed
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-all-dev,
 python3-cymem,
 python3-murmurhash,
 python3-pytest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-preshed
Vcs-Git: https://salsa.debian.org/python-team/modules/python-preshed.git
Homepage: https://github.com/explosion/preshed

Package: python3-preshed
Architecture: any
Depends:
 python3-cymem,
 python3-murmurhash,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Cython Hash Table for Pre-Hashed Keys
 Simple but high performance Cython hash table mapping pre-randomized keys
 to void* values.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = preshed
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-preshed 3.0.8

=== debian/changelog ===
python-preshed (3.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Adds support for setuptools >= 60 (Closes: #1022516)
  * Refresh patches.
  * Switch watch file to GitHub tags, the releases page no longer has
    tarballs.
  * Migrate to pybuild-plugin-pyproject.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 16:14:28 +0200

python-preshed (3.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Paul Wise ]
  * Add missing build deps on python3-distutils python3-setuptools
  * Switch from hardcoded deps to setuptools-based autodeps

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:21:36 -0400

=== debian/control ===
Source: python-preshed
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-distutils,
 python3-setuptools,
 python3-all,
 python3-all-dev,
 python3-cymem,
 python3-murmurhash,
 python3-pytest,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-preshed
Vcs-Git: https://salsa.debian.org/python-team/packages/python-preshed.git
Homepage: https://github.com/explosion/preshed

Package: python3-preshed
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Cython Hash Table for Pre-Hashed Keys
 Simple but high performance Cython hash table mapping pre-randomized keys
 to void* values.

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_python3 --requires=requirements.txt

## python-preshed 4.0.0

=== requirements.txt ===
cymem>=2.0.2,<2.1.0
cython>=0.28
pytest
murmurhash>=0.28.0,<1.1.0

=== debian/changelog ===
python-preshed (4.0.0-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:13:55 +0000

python-preshed (4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Remove Python2 ref. from debian/rules

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 16:18:59 +0100

python-preshed (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * Skip two legacy tests on big-endian.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 16:08:11 +0200

python-preshed (4.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove dependency on python3-distutils (Closes: #1065933)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 14:29:55 +0200

python-preshed (3.0.8-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Graham Inggs ]
  * Drop the runtime dependency on Cython

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Dec 2023 11:33:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-distutils,
  python3-setuptools,
  python3-all,
  python3-all-dev,
  python3-cymem,
  python3-murmurhash,
  python3-pytest,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-preshed
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-preshed.git
 Homepage: https://github.com/explosion/preshed
+Rules-Requires-Root: no
 
 Package: python3-preshed
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/explosion/preshed/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
